# NOTE: Derived from blib/lib/Business/WorldPay/Junior.pm.
# Changes made here will be lost when autosplit again.
# See AutoSplit.pm.
package Business::WorldPay::Junior;

#line 429 "blib/lib/Business/WorldPay/Junior.pm (autosplit into blib/lib/auto/Business/WorldPay/Junior/valid_callback_host.al)"
sub valid_callback_host
    {
    # Input is output from $cgi->remote_host
    # Output is true is remote_host is a valid WorldPay callback server
    # or false if it is not.

    my $self = shift;
    my $host = shift;
    
    $errstr = "no host", return if ! $host;
    $errstr = "not 4 . separated digits", return if $host !~ /(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})/;

    my $fail = undef;
    
    my $lead = $1 . '.' . $2 . '.' . $3;

    if ( $lead ne "195.35.90" && $lead ne "155.136.68" && $lead ne "193.41.220" )
        {
        $fail = 1;
        $errstr .= "Invalid Callback Network";
        }
    if ( $4 < 0 || $4 > 255 )
        {
        $fail = 1;
        $errstr .= "Invalid Callback Host";
        }
    return if $fail;
    
    return 1;
    }

# end of Business::WorldPay::Junior::valid_callback_host
1;
